#
# spec file for package python-zc.buildout
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:           python-zc_buildout
Version:        2.2.1
Release:        8.2
Url:            http://pypi.python.org/pypi/zc.buildout
Summary:        System for managing development buildouts
License:        ZPL-2.1
Group:          Development/Languages/Python
Source:         https://pypi.python.org/packages/source/z/zc.buildout/zc.buildout-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  python-devel
BuildRequires:  python-setuptools
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif

%description
System for managing development buildouts.

%prep
%setup -q -n zc.buildout-%{version}

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root,-)
%doc README.rst CHANGES.rst COPYRIGHT.txt DEVELOPERS.txt LICENSE.txt
%{python_sitelib}/*
%{_bindir}/buildout

%changelog
* Sun Sep 29 2013 p.drouand@gmail.com
- Update to version 2.2.1
  + distutils scripts: correct order of operations on from ... import
    lines (see https://github.com/buildout/buildout/issues/134).
  + Add an --allow-site-packges option to bootstrap.py, defaulting to False.
    If the value is false, strip any "site packages" (as defined by the
    site module) from sys.path before attempting to import setuptools / pkg_resources.
  + Updated the URL used to fetch ez_setup.py to the official,
    non-version- pinned version.
- Changes between version 2.2.0 and 2.1.0
  + Handle both addition and subtraction of elements (+= and -=) on
    the same key in the same section. Forward-ported from buildout 1.6.
  + Suppress the useless Link to <URL> ***BLOCKED*** by --allow-hosts error
    message being emitted by distribute / setuptools.
  + Extend distutils script generation to support module docstrings and
  _future__ imports.
  + Refactored picked versions logic to make it easier to use for plugins.
  + Use get_win_launcher API to find Windows launcher (falling back to resource
  _string for cli.exe).
  + Remove data_files from setup.py: it was installing README.txt in current
    directory during installation (merged from 1.x branch).
  + Switch dependency from distribute 0.6.x to setuptools 0.7.x.
- Use download url as source url
- Replace python-distribute with python-setuptools BuildRequires
- Add documentation from tarball
* Mon Mar 25 2013 alexandre@exatati.com.br
- Update to 2.1.0:
  - Meta-recipe support
  - Conditional sections
  - Buildout now accepts a --version command-line option to print
    its version.
  Fixed: Builout didn't exit with a non-zero exit status if there was a
    failure in combination with an upgrade.
  Fixed: We now fail with an informative error when an old bootstrap
    script causes buildout 2 to be used with setuptools.
  Fixed: An error incorrectly suggested that buildout 2 implemented all
    of the functionality of dumppickedversions.
  Fixed: Buildout generated bad scripts when no eggs needed to be added
    to sys.path.
  Fixed: Buildout didn't honour Unix umask when generating scripts.
    https://bugs.launchpad.net/zc.buildout/+bug/180705
  Fixed: update-versions-file didn't work unless
    show-picked-versions was also set.
    https://github.com/buildout/buildout/issues/71
* Thu Feb 21 2013 p.drouand@gmail.com
- Update to version 1.7.1:
  * Fixed: Constraints intended to prevent upgrading to
    buildout-2-compatible recipes weren't expressed correctly, leading to
    unintendional use of zc.recipe.egg-2.0.0a3.
- Update to version 1.7.0:
  * Unless version requirements are specified, buildout won't upgrade
    itself past version 1.
  * Versions in versions sections can now be simple constraints, like <2.0dev
    in addition to being simple versions.
  * This is used to prevent upgrading zc.recipe.egg and zc.recipe.testrunner
    past version 1.
  * If buildout is bootstrapped with a non-final release, it won't downgrade
    itself to a final release.
  * Fix: distribute 0.6.33 broke Python 2.4 compatibility
    remove data_files from setup.py, which was installing README.txt in
    current directory during installation [Domen Kožar]
    Windows fix: use cli-64.exe/cli.exe depending on 64/32 bit and try cli.exe
    if cli-64.exe is not found, fixing 9c6be7ac6d218f09e33725e07dccc4af74d8cf97
  * Windows fix: buildout init was broken, re.sub does not like a single backslash
  * fixed all builds on travis-ci
    use os._exit insted of sys.exit after ugrade forking
    Revert cfa0478937d16769c268bf51e60e69cd3ead50f3, it only broke a feature
* Tue Mar 13 2012 alexandre@exatati.com.br
- Regenerate spec file with py2pack.
* Mon Feb 13 2012 coolo@suse.com
- patch license to follow spdx.org standard
* Wed Oct 13 2010 alexandre@exatati.com.br
- Update to 1.5.2.
* Mon Aug 30 2010 alexandre@exatati.com.br
- Update to 1.5.1.
* Wed Aug 25 2010 alexandre@exatati.com.br
- Update to 1.5.0.
* Fri Aug 20 2010 alexandre@exatati.com.br
- Update to 1.4.4.
* Sat May  1 2010 alexandre@exatati.com.br
- Update to 1.5.0b2.
* Mon Nov  2 2009 alexandre@exatati.com.br
- Update to 1.4.2.
* Fri Oct 16 2009 alexandre@exatati.com.br
- Initial package (1.4.1) for openSUSE.
